GET /states/{country}/{filter}
radio-browser.info:radio-browser-api
Summary: Filter states by country
Operation ID: getStatesByCountry
Auth: unknown
Operation ID: getStatesByCountry
Auth: unknown
Description
Returns states matching the filter within a specific country.
Parameters (7)
country
(string, path, required)
Country name
filter
(string, path, required)
State name filter
hidebroken
(boolean, query, optional, default: False)
limit
(integer, query, optional, default: 100000)
offset
(integer, query, optional, default: 0)
order
(string, query, optional)
reverse
(boolean, query, optional, default: False)
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Get states in United States matching 'New' | curl |
https://de1.api.radio-browser.info/json/states/United%20States/New |
|
| Get states in Germany with limit and hidebroken filter | curl |
https://de1.api.radio-browser.info/json/states/Germany/Berlin?limit=10&hidebroken=true |
|
| Get states in United Kingdom ordered by name in reverse | curl |
https://de1.api.radio-browser.info/json/states/United%20Kingdom/London?order=name&reverse=true |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:27:36.017102 | 200 | 220ms | |
| 2026-03-23 10:22:16.058084 | 200 | 338ms | |
| 2026-03-23 09:23:20.537893 | 200 | 186ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:27:36.017102 | 4f53cda18c2b |
b942cdc37b74 |